#!/bin/sh

[ -z "$1" -o -z "$2" ] && {
	echo "Usage: $0 TARGET_PHONE_NUMBER TEXT"
	exit 0
}
CF=/var/run/.etc/gnokii.conf
TARGET=$1
shift

mkdir -p /var/run/.etc
port=$(nu-getval SMS:GNOKII:port)
[ -z "$port" ] && port=/dev/ttyUSB0
connection=$(nu-getval SMS:GNOKII:connection)
[ -z "$connection" ] && connection=serial
model=$(nu-getval SMS:GNOKII:model)
[ -z "$model" ] && model=AT

echo "[global]
model=$model
connection=$connection
port=$port" > $CF

echo "$*" | gnokii --config $CF --sendsms $TARGET 2>/dev/null
