#!/bin/sh

[ -x /usr/bin/smsutils ] || exit 0
SLOT=0
[ -z "$1" ] || SLOT=$1
MCFILE="/opt/stasoft/modem/slot${SLOT}/etc/modem.command.port"
[ -f $MCFILE ] || exit 0
DEV=$(cat $MCFILE)
[ -c $DEV ] || exit 0

/usr/bin/nu-checkl
[ "$?" = "1" ] && exit 0

CMD="timeout 5 /usr/bin/smsutils $DEV"
FTEL=/tmp/.tel.sms.txt
FSIM=/tmp/.sim.sms.txt

rm -f $FTEL 2>/dev/null
rm -f $FSIM 2>/dev/null

$CMD tel list > $FTEL
[ -f /tmp/.modem/slot${SLOT}/.cell/ready ] && $CMD sim list > $FSIM

CMDX=''

CTX=''
[ -f $FTEL ] && CTX=$(grep REBOOT $FTEL)
if [ -n "$CTX" ]; then
    CMDX=REBOOT
    $CMD tel del all > $FTEL
else
    [ -f $FSIM ] && CTX=$(grep REBOOT $FSIM)
    if [ -n "$CTX" ]; then
	CMDX=REBOOT
	$CMD sim del all > $FSIM
    else
	[ -f $FTEL ] && CTX=$(grep RESET $FTEL)
	if [ -n "$CTX" ]; then
	    CMDX=RESET
	    $CMD tel del all > $FTEL
	else
	    [ -f $FSIM ] && CTX=$(grep RESET $FSIM)
	    if [ -n "$CTX" ]; then
		CMDX=RESET
		$CMD sim del all > $FSIM
	    fi
	fi
    fi
fi

case $CMDX in
    REBOOT)
	reboot
    ;;
    RESET)
	/opt/stasoft/bin/factory_cfg.sh
	sleep 3
	reboot
    ;;
esac
