#!/bin/sh

[ -z "$3" ] && {
    echo "Usage: $0 SLOT PHONE TEXT"
    exit 1
}
[ -x /usr/bin/smsutils ] || {
    echo "No SMSUTILS program"
    exit 1
}

SLOT=$1
shift
MCFILE="/opt/stasoft/modem/slot${SLOT}/etc/modem.command.port"
[ -f $MCFILE ] || exit 1
DEV=$(cat $MCFILE)
[ -c $DEV ] || exit 1

/usr/bin/nu-checkl
[ "$?" = "1" ] && exit 1

PHONE=$1
shift

/usr/bin/smsutils $DEV sim send $PHONE "$*"
